package com.mini.capi.api.sys;

import com.mini.capi.api.service.sysService;
import com.mini.capi.model.ApiResult;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sysApi")
public class sysController {


    @Resource
    private sysService service;

    /**
     * 运行信息
     */
    @GetMapping("getRunInfo")
    public ApiResult<?> getRunInfo() {
        try {
            return ApiResult.success(service.getRunInfo());
        } catch (Exception e) {
            return ApiResult.error(101, e.getMessage());
        }
    }
}
